diff --git a/game/client/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java b/game/client/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java
index 892633eaf..8b6e38fc4 100644
--- a/game/client/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java
+++ b/game/client/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java
@@ -18,6 +18,7 @@ import net.minecraft.client.world.WorldClientMP;
 import net.minecraft.core.Global;
 import net.minecraft.core.achievement.stat.Stat;
 import net.minecraft.core.achievement.stat.StatList;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.entity.TileEntityDispatcher;
@@ -64,6 +65,7 @@ import net.minecraft.core.world.ExplosionCannonball;
 import net.minecraft.core.world.ICarriable;
 import net.minecraft.core.world.IVehicle;
 import net.minecraft.core.world.data.SynchedEntityData;
+import net.minecraft.core.world.pos.ChunkPos;
 import net.minecraft.core.world.pos.TilePos;
 import net.minecraft.core.world.save.LevelData;
 import net.minecraft.core.world.saveddata.SavedDataStorage;
@@ -79,11 +81,9 @@ import java.io.InputStreamReader;
 import java.net.InetAddress;
 import java.net.Socket;
 import java.net.URL;
-import java.net.UnknownHostException;
 import java.util.*;
 
-public class PacketHandlerClient extends PacketHandler
-{
+public class PacketHandlerClient extends PacketHandler {
     private static final Logger LOGGER = LogUtils.getLogger();
     private boolean disconnected;
     private final NetworkManager netManager;
@@ -97,50 +97,40 @@ public class PacketHandlerClient extends PacketHandler
     Random rand;
 
     public PacketHandlerClient(Minecraft minecraft, String host, int port)
-            throws UnknownHostException, IOException
-    {
-        disconnected = false;
-        started = false;
-        savedDataStorage = new SavedDataStorage(null);
-        rand = new Random();
-        mc = minecraft;
+        throws IOException {
+        this.disconnected = false;
+        this.started = false;
+        this.savedDataStorage = new SavedDataStorage(null);
+        this.rand = new Random();
+        this.mc = minecraft;
         Socket socket = new Socket(InetAddress.getByName(host), port);
-        netManager = new NetworkManager(socket, "Client", this, -1);
-        players = new ArrayList<>();
+        this.netManager = new NetworkManager(socket, "Client", this, -1);
+        this.players = new ArrayList<>();
     }
 
-    public void tick()
-    {
-        if (!disconnected)
-        {
-            netManager.processReadPackets();
+    public void tick() {
+        if (!this.disconnected) {
+            this.netManager.processReadPackets();
         }
-        netManager.wakeThreads();
+        this.netManager.wakeThreads();
     }
 
-    public int findPlayerInList(PlayerProfile playerProfile)
-    {
-        for (int i = 0; i < players.size(); i++)
-        {
-            if (players.get(i).playerName.equals(playerProfile.playerName))
-            {
+    public int findPlayerInList(@NotNull PlayerProfile playerProfile) {
+        for (int i = 0; i < this.players.size(); i++) {
+            if (this.players.get(i).playerName.equals(playerProfile.playerName)) {
                 return i;
             }
         }
         return -1;
     }
 
-    public void addPlayer(PlayerProfile playerProfile)
-    {
-        players.add(playerProfile);
+    public void addPlayer(@NotNull PlayerProfile playerProfile) {
+        this.players.add(playerProfile);
     }
 
-    public PlayerProfile getPlayer(String username)
-    {
-        for (PlayerProfile player : players)
-        {
-            if (player.playerName.equals(username))
-            {
+    public @Nullable PlayerProfile getPlayer(@NotNull String username) {
+        for (PlayerProfile player : this.players) {
+            if (player.playerName.equals(username)) {
                 return player;
             }
         }
@@ -148,32 +138,30 @@ public class PacketHandlerClient extends PacketHandler
         return null;
     }
 
-    public void removePlayer(int index)
-    {
-        players.remove(index);
+    public void removePlayer(int index) {
+        this.players.remove(index);
     }
 
 
     @Override
-    public void handleLogin(@NotNull PacketLogin packetLogin)
-    {
-        mc.playerController = new PlayerControllerMP(mc, this);
-        mc.statsCounter.add(StatList.joinMultiplayerStat, 1);
-        worldClientMP = new WorldClientMP(this, packetLogin.worldSeed, packetLogin.dimensionId, packetLogin.worldTypeId);
-        worldClientMP.isClientSide = true;
-        mc.changeWorld(worldClientMP);
-        mc.thePlayer.dimension = packetLogin.dimensionId;
-        mc.displayScreen(new ScreenDownloadTerrain(this));
-        mc.thePlayer.id = packetLogin.playerEntityIdAndProtocolVersion;
+    public void handleLogin(@NotNull PacketLogin packetLogin) {
+        this.mc.playerController = new PlayerControllerMP(this.mc, this);
+        this.mc.statsCounter.add(StatList.joinMultiplayerStat, 1);
+        this.worldClientMP = new WorldClientMP(this, packetLogin.worldSeed, packetLogin.dimensionId, packetLogin.worldTypeId);
+        this.worldClientMP.isClientSide = true;
+        this.mc.changeWorld(this.worldClientMP);
+        this.mc.thePlayer.dimension = packetLogin.dimensionId;
+        this.mc.displayScreen(new ScreenDownloadTerrain(this));
+        this.mc.thePlayer.id = packetLogin.playerEntityIdAndProtocolVersion;
         NetworkManager.PACKET_DELAY = packetLogin.packetDelay;
         Registries.RECIPES = new RecipeRegistry();
 
-        addToSendQueue(new PacketPlayerConfig(mc.thePlayer.playerConfig));
+        addToSendQueue(new PacketPlayerConfig(this.mc.thePlayer.playerConfig));
     }
 
     @Override
     public void handlePlayerConfig(@NotNull PacketPlayerConfig packetPlayerConfig) {
-        if (packetPlayerConfig.entityId >= 0 && packetPlayerConfig.entityId != mc.thePlayer.id) {
+        if (packetPlayerConfig.entityId >= 0 && packetPlayerConfig.entityId != this.mc.thePlayer.id) {
             Entity e = getEntityByID(packetPlayerConfig.entityId);
             if (e instanceof Player) {
                 ((Player) e).playerConfig.config = packetPlayerConfig.config;
@@ -182,35 +170,36 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleAddItemEntity(@NotNull PacketAddItemEntity packetAddItemEntity)
-    {
+    public void handleAddItemEntity(@NotNull PacketAddItemEntity packetAddItemEntity) {
         double x = packetAddItemEntity.xPosition / 32D;
         double y = packetAddItemEntity.yPosition / 32D;
         double z = packetAddItemEntity.zPosition / 32D;
-        EntityItem entityItem = new EntityItem(worldClientMP, x, y, z, new ItemStack(packetAddItemEntity.itemID, packetAddItemEntity.count, packetAddItemEntity.itemDamage, packetAddItemEntity.tag));
+        EntityItem entityItem = new EntityItem(this.worldClientMP, x, y, z, new ItemStack(packetAddItemEntity.itemID, packetAddItemEntity.count, packetAddItemEntity.itemDamage, packetAddItemEntity.tag));
         entityItem.xd = (double) packetAddItemEntity.xd / 128D;
         entityItem.yd = (double) packetAddItemEntity.yd / 128D;
         entityItem.zd = (double) packetAddItemEntity.zd / 128D;
         entityItem.serverPosX = packetAddItemEntity.xPosition;
         entityItem.serverPosY = packetAddItemEntity.yPosition;
         entityItem.serverPosZ = packetAddItemEntity.zPosition;
-        worldClientMP.addEntityToWorld(packetAddItemEntity.entityId, entityItem);
+        this.worldClientMP.addEntityToWorld(packetAddItemEntity.entityId, entityItem);
     }
 
 
     @Override
     public void handleAddEntity(@NotNull PacketAddEntity packetAddEntity) {
-        if (!NetEntityHandler.hasType(packetAddEntity.type)){ return; }
+        if (!NetEntityHandler.hasType(packetAddEntity.type)) {
+            return;
+        }
         double xPosition = ((double) packetAddEntity.xPosition) / 32D;
         double yPosition = ((double) packetAddEntity.yPosition) / 32D;
         double zPosition = ((double) packetAddEntity.zPosition) / 32D;
         Entity owner;
-        if (packetAddEntity.ownerId >= 0){
+        if (packetAddEntity.ownerId >= 0) {
             owner = getEntityByID(packetAddEntity.ownerId);
         } else {
             owner = null;
         }
-        Entity newEntity = NetEntityHandler.getTypeEntry(packetAddEntity.type).getEntity(worldClientMP, xPosition, yPosition, zPosition, packetAddEntity.metaData, packetAddEntity.hasVelocity, packetAddEntity.xVelocity / 8000D, packetAddEntity.yVelocity / 8000D, packetAddEntity.zVelocity / 8000D, owner, packetAddEntity.tag);
+        Entity newEntity = NetEntityHandler.getTypeEntry(packetAddEntity.type).getEntity(this.worldClientMP, xPosition, yPosition, zPosition, packetAddEntity.metaData, packetAddEntity.hasVelocity, packetAddEntity.xVelocity / 8000D, packetAddEntity.yVelocity / 8000D, packetAddEntity.zVelocity / 8000D, owner, packetAddEntity.tag);
         if (newEntity != null) {
             newEntity.serverPosX = packetAddEntity.xPosition;
             newEntity.serverPosY = packetAddEntity.yPosition;
@@ -218,58 +207,52 @@ public class PacketHandlerClient extends PacketHandler
             newEntity.yRot = packetAddEntity.yaw;
             newEntity.xRot = packetAddEntity.pitch;
             newEntity.id = packetAddEntity.entityId;
-            worldClientMP.addEntityToWorld(packetAddEntity.entityId, newEntity);
-            if (owner instanceof Mob && newEntity instanceof Projectile){
+            this.worldClientMP.addEntityToWorld(packetAddEntity.entityId, newEntity);
+            if (owner instanceof Mob && newEntity instanceof Projectile) {
                 ((Projectile) newEntity).owner = (Mob) owner;
             }
-            if (packetAddEntity.hasVelocity){
+            if (packetAddEntity.hasVelocity) {
                 newEntity.lerpMotion(((double) packetAddEntity.xVelocity) / 8000D, ((double) packetAddEntity.yVelocity) / 8000D, ((double) packetAddEntity.zVelocity) / 8000D);
             }
             List<SynchedEntityData.DataItem<?>> list = packetAddEntity.getUnpackedData();
-            if (list != null)
-            {
+            if (list != null) {
                 newEntity.getEntityData().assignValues(list);
             }
         }
     }
 
     @Override
-    public void handleWeatherEffect(@NotNull PacketWeatherEffect packetWeatherEffect)
-    {
+    public void handleWeatherEffect(@NotNull PacketWeatherEffect packetWeatherEffect) {
         double x = (double) packetWeatherEffect.x / 32D;
         double y = (double) packetWeatherEffect.y / 32D;
         double z = (double) packetWeatherEffect.z / 32D;
         Entity weatherEntity = null;
         if (packetWeatherEffect.effectId == PacketWeatherEffect.EFFECT_LIGHTNING) {
-            weatherEntity = new EntityLightning(worldClientMP, x, y, z);
+            weatherEntity = new EntityLightning(this.worldClientMP, x, y, z);
         }
-        if (weatherEntity != null)
-        {
+        if (weatherEntity != null) {
             weatherEntity.serverPosX = packetWeatherEffect.x;
             weatherEntity.serverPosY = packetWeatherEffect.y;
             weatherEntity.serverPosZ = packetWeatherEffect.z;
             weatherEntity.yRot = 0.0F;
             weatherEntity.xRot = 0.0F;
             weatherEntity.id = packetWeatherEffect.id;
-            worldClientMP.addWeatherEffect(weatherEntity);
+            this.worldClientMP.addWeatherEffect(weatherEntity);
         }
     }
 
     @Override
-    public void handleWeatherStatus(@NotNull PacketWeatherStatus packet)
-    {
-        if (worldClientMP.dimension.id != packet.dimId) return;
+    public void handleWeatherStatus(@NotNull PacketWeatherStatus packet) {
+        if (this.worldClientMP.dimension.id != packet.dimId) return;
         Weather currentWeather = packet.id == -1 ? null : Weathers.WEATHERS[packet.id];
         Weather newWeather = packet.newId == -1 ? null : Weathers.WEATHERS[packet.newId];
-        worldClientMP.weatherManager.overrideWeather(currentWeather, newWeather, packet.duration, packet.intensity, packet.power);
+        this.worldClientMP.weatherManager.overrideWeather(currentWeather, newWeather, packet.duration, packet.intensity, packet.power);
     }
 
     @Override
-    public void handleAddPainting(@NotNull PacketAddPainting packetAddPainting)
-    {
-        Entity entity = worldClientMP.getEntityFromId(packetAddPainting.entityId);
-        if (entity instanceof EntityPainting){
-            EntityPainting painting = (EntityPainting) entity;
+    public void handleAddPainting(@NotNull PacketAddPainting packetAddPainting) {
+        Entity entity = this.worldClientMP.getEntityFromId(packetAddPainting.entityId);
+        if (entity instanceof EntityPainting painting) {
             painting.blockX = packetAddPainting.xPosition;
             painting.blockY = packetAddPainting.yPosition;
             painting.blockZ = packetAddPainting.zPosition;
@@ -277,13 +260,13 @@ public class PacketHandlerClient extends PacketHandler
             if (ArtType.map.containsKey(packetAddPainting.key)) painting.art = ArtType.map.get(packetAddPainting.key);
 
             painting.setDirection(packetAddPainting.direction);
-            if (packetAddPainting.itemID > 0){
+            if (packetAddPainting.itemID > 0) {
                 painting.setStack(new ItemStack(packetAddPainting.itemID, 1, packetAddPainting.meta));
             }
         } else {
-            EntityPainting entitypainting = new EntityPainting(worldClientMP, packetAddPainting.xPosition, packetAddPainting.yPosition, packetAddPainting.zPosition, packetAddPainting.direction, packetAddPainting.key);
-            worldClientMP.addEntityToWorld(packetAddPainting.entityId, entitypainting);
-            if (packetAddPainting.itemID > 0){
+            EntityPainting entitypainting = new EntityPainting(this.worldClientMP, packetAddPainting.xPosition, packetAddPainting.yPosition, packetAddPainting.zPosition, packetAddPainting.direction, packetAddPainting.key);
+            this.worldClientMP.addEntityToWorld(packetAddPainting.entityId, entitypainting);
+            if (packetAddPainting.itemID > 0) {
                 entitypainting.setStack(new ItemStack(packetAddPainting.itemID, 1, packetAddPainting.meta));
             }
         }
@@ -291,8 +274,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleSetEntityMotion(@NotNull PacketSetEntityMotion packetSetEntityMotion)
-    {
+    public void handleSetEntityMotion(@NotNull PacketSetEntityMotion packetSetEntityMotion) {
         Entity entity = getEntityByID(packetSetEntityMotion.entityId);
         if (entity != null) {
             entity.lerpMotion((double) packetSetEntityMotion.motionX / 8000D, (double) packetSetEntityMotion.motionY / 8000D, (double) packetSetEntityMotion.motionZ / 8000D);
@@ -313,18 +295,15 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleSetEntityData(@NotNull PacketSetEntityData packetSetEntityData)
-    {
+    public void handleSetEntityData(@NotNull PacketSetEntityData packetSetEntityData) {
         Entity entity = getEntityByID(packetSetEntityData.entityId);
-        if (entity != null && packetSetEntityData.getUnpackedData() != null)
-        {
+        if (entity != null && packetSetEntityData.getUnpackedData() != null) {
             entity.getEntityData().assignValues(packetSetEntityData.getUnpackedData());
         }
     }
 
     @Override
-    public void handleAddPlayer(final @NotNull PacketAddPlayer packetAddPlayer)
-    {
+    public void handleAddPlayer(final @NotNull PacketAddPlayer packetAddPlayer) {
         final double x = (double) packetAddPlayer.xPosition / 32D;
         final double y = (double) packetAddPlayer.yPosition / 32D;
         final double z = (double) packetAddPlayer.zPosition / 32D;
@@ -337,12 +316,9 @@ public class PacketHandlerClient extends PacketHandler
         playerRemote.yo = playerRemote.serverPosY = packetAddPlayer.yPosition;
         playerRemote.zo = playerRemote.serverPosZ = packetAddPlayer.zPosition;
         final int itemId = packetAddPlayer.currentItem;
-        if (itemId == 0)
-        {
+        if (itemId == 0) {
             playerRemote.inventory.mainInventory[playerRemote.inventory.getCurrentSlot()] = null;
-        }
-        else
-        {
+        } else {
             playerRemote.inventory.mainInventory[playerRemote.inventory.getCurrentSlot()] = new ItemStack(itemId, 1, 0);
         }
         playerRemote.absMoveTo(x, y, z, yRot, xRot);
@@ -355,8 +331,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleTeleportEntity(@NotNull PacketTeleportEntity packetTeleportEntity)
-    {
+    public void handleTeleportEntity(@NotNull PacketTeleportEntity packetTeleportEntity) {
         Entity entity = getEntityByID(packetTeleportEntity.id);
         if (entity != null) {
             entity.serverPosX = packetTeleportEntity.x;
@@ -372,8 +347,7 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleMoveEntity(@NotNull PacketMoveEntity packetMoveEntity)
-    {
+    public void handleMoveEntity(@NotNull PacketMoveEntity packetMoveEntity) {
         Entity entity = getEntityByID(packetMoveEntity.id);
         if (entity != null) {
             entity.serverPosX += packetMoveEntity.x;
